package com.iona.fuse.demo.logisticx.web.customer.client.customer.model;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.List;

public class Customer implements IsSerializable {
    private String shipCity;
    private String shipState;
    private String shipCountry;
    private String billingState;
    private String url;
    
    private java.util.List<com.iona.fuse.demo.logisticx.web.customer.client.customer.model.Contact> contacts;
    
    private long customerId;
    private String billingPostalCode;
    private String name;
    private String billingCity;
    private String billingAddress;
    private String shipAddress;
    private String billingCountry;
    private String shipPostalCode;

    public String getShipCity() {
        return this.shipCity;
    }
    public void setShipCity(String newValue) {
        this.shipCity = newValue;
    }
    
    public String getShipState() {
        return this.shipState;
    }
    public void setShipState(String newValue) {
        this.shipState = newValue;
    }
    
    public String getShipCountry(){
        return this.shipCountry;
    }
    public void setShipCountry(String newValue) {
        this.shipCountry = newValue;
    }
    
    public String getBillingState(){
        return this.billingState;
    }
    public void setBillingState(String newValue) {
        this.billingState = newValue;
    }
    
    public String getUrl() {
        return this.url;
    }
    public void setUrl(String newValue) {
	this.url = newValue;
    }

    
    public java.util.List<com.iona.fuse.demo.logisticx.web.customer.client.customer.model.Contact> getContacts() {
        return this.contacts;
    }
    
    public void setContacts(java.util.List<com.iona.fuse.demo.logisticx.web.customer.client.customer.model.Contact> newValue) {
        this.contacts = newValue;
    }
    
    public long getCustomerId() {
        return this.customerId;
    }
    public void setCustomerId(long newValue) {
        this.customerId = newValue;
    }
        
    public String getBillingPostalCode() {
        return this.billingPostalCode;
    }
    public void setBillingPostalCode(String newValue) {
        this.billingPostalCode = newValue;
    }

    public String getName() {
        return this.name;
    }
    public void setName(String newValue) {
    this.name = newValue;
    }

    public String getBillingCity() {
        return this.billingCity;
    }
    public void setBillingCity(String newValue) {
        this.billingCity = newValue;
    }

    public String getBillingAddress() {
        return this.billingAddress;
    }
    public void setBillingAddress(String newValue) {
        this.billingAddress = newValue;
    }

    public String getShipAddress() {
        return this.shipAddress;
    }
    public void setShipAddress(String newValue) {
        this.shipAddress = newValue;
    }

    public String getBillingCountry() {
        return this.billingCountry;
    }
    public void setBillingCountry(String newValue) {
        this.billingCountry = newValue;
    }

    public String getShipPostalCode() {
        return this.shipPostalCode;
    }
    public void setShipPostalCode(String newValue) {
        this.shipPostalCode = newValue;
    }
}
