package com.iona.fuse.demo.logisticx.web.customer.client.customer.model;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/ 

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.Date;

public class Calendar implements IsSerializable {

    private int minimalDaysInFirstWeek;
    private Date time;
    private TimeZone timeZone;
    private long timeInMillis;
    private boolean lenient;
    private int firstDayOfWeek;

    public int getMinimalDaysInFirstWeek() {
        return this.minimalDaysInFirstWeek;
    }
    public void setMinimalDaysInFirstWeek(int  newValue) {
        this.minimalDaysInFirstWeek = newValue;
    }
    
    public Date getTime() {
        return this.time;
    }
    public void setTime(Date newValue) {
        this.time = newValue;
    }
    
    public TimeZone getTimeZone() {
        return this.timeZone;
    }
    public void setTimeZone(TimeZone newValue) {
        this.timeZone = newValue;
    }
    
    public long getTimeInMillis() {
        return this.timeInMillis;
    }
    public void setTimeInMillis(long newValue) {
        this.timeInMillis = newValue;
    }
    
    public boolean isLenient() {
        return this.lenient;
    }
    public void setLenient(boolean newValue) {
        this.lenient = newValue;
    }
    
    public int getFirstDayOfWeek() {
        return this.firstDayOfWeek;
    }
    public void setFirstDayOfWeek(int newValue) {
        this.firstDayOfWeek = newValue;
    }
}
