package com.iona.fuse.demo.logisticx.web.customer.client.customer.model;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.List;

public class Order implements IsSerializable {
    private long customerId;
    private String customerPoNumber;
    private OrderStatus status;
    private Calendar orderDate;
    
    private LineItem lineItem;
    private Long orderId;
    
    public long getCustomerId() {
        return this.customerId;
    }
    public void setCustomerId(long newValue) {
        this.customerId = newValue;
    }

    public String getCustomerPoNumber() {
        return this.customerPoNumber;
    }
    public void setCustomerPoNumber(String newValue) {
        this.customerPoNumber = newValue;
    }

    public OrderStatus getStatus() {
        return this.status;
    }
    public void setStatus(OrderStatus newValue) {
        this.status = newValue;
    }

    public Calendar getOrderDate() {
        return this.orderDate;
    }
    public void setOrderDate(Calendar newValue) {
        this.orderDate = newValue;
    }
    
    
    public LineItem getLineItem() {
        return this.lineItem;
    }
   
    public void setLineItem(LineItem newValue) {
        this.lineItem = newValue;
    }
    
    public Long getOrderId() {
        return this.orderId;
    }
    public void setOrderId(Long newValue) {
        this.orderId = newValue;
    }
}
