package com.iona.fuse.demo.logisticx.web.customer.client.operations;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.maps.client.MapWidget;
import com.google.gwt.maps.client.geom.LatLng;
import com.google.gwt.user.client.ui.Composite;

public class GwtMap extends Composite
{
  MapWidget map;

  public GwtMap()
  {

    LatLng mapCenter = LatLng.newInstance(37.0625, -95.677068);
    map = new MapWidget(mapCenter, 13);

    initWidget(map);

  }

  public MapWidget getMap(){
    return this.map;
  }

  public void adjustSize(int windowWidth, int windowHeight) {
    int width = windowWidth - map.getAbsoluteLeft() - 20;
    if (width < 1) {
      width = 1;
    }

    int height = windowHeight - map.getAbsoluteTop() - 20;
    if (height < 1) {
      height = 1;
    }

    map.setSize("" + width, "" + height);
  }
}
