package com.iona.fuse.demo.logisticx.web.customer.client.operations;
/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.client.ui.CheckBox;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.SimplePanel;
import com.google.gwt.user.client.ui.VerticalPanel;

/**
 * Composite that represents a collection of <code>Task</code> items.
 */
public class Warehouses extends Composite {

  public Warehouses() {
    SimplePanel panel = new SimplePanel();
    VerticalPanel list = new VerticalPanel();
    panel.setWidget(list);
    list.add(new CheckBox("Get groceries"));
    list.add(new CheckBox("Walk the dog"));
    list.add(new CheckBox("Start Web 2.0 company"));
    list.add(new CheckBox("Write cool app in GWT"));
    list.add(new CheckBox("Get funding"));
    list.add(new CheckBox("Take a vacation"));
    initWidget(panel);
    setStyleName( "vehicleItem" );
  }

}
