package com.iona.fuse.demo.logisticx.web.customer.server;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import com.google.gwt.user.server.rpc.RemoteServiceServlet;
import com.iona.fuse.demo.logisticx.web.customer.client.operations.Location;
import com.iona.fuse.demo.logisticx.web.customer.client.operations.Vehicle;
import com.iona.fuse.demo.logisticx.web.customer.client.operations.VehicleService;

public class VehicleServiceImpl extends RemoteServiceServlet implements VehicleService {
	private static final long serialVersionUID = 6304051268346269750L;

	public Vehicle getVehicle(int vehicleId) {
        Vehicle vehicle = new Vehicle();
        vehicle.setId(100 + vehicleId);
        vehicle.setName("Test Vehicle " + vehicle.getId());
        vehicle.setStatus("Active");

        Location location = new Location();
        location.setLatitude("43.0000");
        location.setLongitude("23.0000");
        vehicle.setLocation(location);
        return vehicle;
    }

}
