package com.iona.fuse.demo.logisticx.service.warehouse;

/**
 * 
 * Copyright  2007-2008 IONA Technologies PLC.
 *           All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

import javax.jws.WebMethod;
import javax.jws.WebService;

import com.iona.fuse.demo.logisticx.model.Order;

/**
 * The Warehouse Soap/http web service implementation indicates 
 * if a item is in stock or awaiting stock.
 *
 * The protocol used is Soap/http 
 * 
 */
@WebService(
		serviceName = "WarehouseService",		
		targetNamespace = "http://logisticx.demo.fuse.iona.com/warehouseService/",
		portName = "WarehouseEndpoint",
                endpointInterface="com.iona.fuse.demo.logisticx.service.warehouse.Warehouse"
)
public class WarehouseImpl extends WarehouseBaseImpl {

     public void WarehouseImpl() {               
     }

     // methods implemented in the WarehouseBaseImpl class
     
}
